GET detalhes da sessão
curl --request GET \
--url https://api.devin.ai/v2/enterprise/sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acus_consumed": 123,
"created_at": "2023-11-07T05:31:56Z",
"initial_user_message": "<string>",
"org_id": "<string>",
"pull_requests": [
{
"url": "<string>",
"state": "<string>"
}
],
"session_analysis": {
"suggested_prompt": {
"feedback_items": [
{
"details": "<string>",
"excerpt": "<string>",
"issue_id": "<string>",
"summary": "<string>"
}
],
"original_prompt": "<string>",
"suggested_prompt": "<string>"
},
"action_items": [],
"issues": [],
"timeline": []
},
"session_id": "<string>",
"status": "new",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"title": "<string>",
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sessões do Enterprise
Obter sessão Enterprise
Obtenha informações detalhadas sobre uma sessão específica do Devin, incluindo dados de análise e pull requests
GET
/
v2
/
enterprise
/
sessions
/
{session_id}
GET detalhes da sessão
Requer uma chave de API pessoal de administrador do Enterprise.
Retorna informações detalhadas sobre uma sessão específica do Devin no seu Enterprise, incluindo análise abrangente da sessão, mensagem inicial do usuário, informações de pull request e dados de consumo de ACU.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Parâmetros de caminho
Resposta
Resposta bem-sucedida
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opções disponíveis:
new, claimed, running, exit, error, suspended, resuming 
